// PrimeiroPrograma.c - Isabel H. Manssour
// Um programa OpenGL simples que abre uma janela GLUT
// Este cdigo est baseado no Simple.c, exemplo 
// disponvel no livro "OpenGL SuperBible", 
// 2nd Edition, de Richard S. e Wright Jr.

#include <gl/glut.h>

// Funo callback chamada para fazer o desenho
void Desenha(void)
{
	//Limpa a janela de visualizao com a cor de fundo especificada 
	glClear(GL_COLOR_BUFFER_BIT);

	//Executa os comandos OpenGL 
	glFlush();
}

// Inicializa parmetros de rendering
void Inicializa (void)
{   
    // Define a cor de fundo da janela de visualizao como preta
    glClearColor(0.0f, 0.0f, 0.0f, 1.0f);
}

// Programa Principal 
int main(void)
{
	glutInitDisplayMode(GLUT_SINGLE | GLUT_RGB);
	glutCreateWindow("Primeiro Programa");
	glutDisplayFunc(Desenha);
	Inicializa();
	glutMainLoop();
}
